Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 853253 - app-text/aha: New package request (optionally used by kde-plasma/kinfocenter)
Summary: app-text/aha: New package request (optionally used by kde-plasma/kinfocenter)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Zoltan Puskas
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 870103
  Show dependency tree
 
Reported: 2022-06-21 03:01 UTC by Zoltan Puskas
Modified: 2022-09-14 14:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Puskas 2022-06-21 03:01:43 UTC
kinfocenter's devices -> firmware security tab does not work due to lack of aha tool. Searching the main portage tree there are no such tools available.

Package should be added to portage tree and kinfocenter should pull it in as a dependency.


Reproducible: Always

Steps to Reproduce:
1. Open kinfocenter
2. Navigate to Devices under Detailed Information
3. Select Firmware security tab
Actual Results:  
Error message: 

"The aha tool is required to display this page, but could not be found. You can search for it and install it using your package manager. Then please report this packaging issue to your distribution"


Expected Results:  
Display information relevant to Firmware Security.


$ emerge --info
Portage 3.0.30 (python 3.10.5-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-11.3.0, glibc-2.35-r7, 5.18.5-gentoo x86_64)
=================================================================
System uname: Linux-5.18.5-gentoo-x86_64-Intel-R-_Core-TM-_i7-8550U_CPU_@_1.80GHz-with-glibc2.35
KiB Mem:    32773672 total,  13678536 free
KiB Swap:    2097128 total,   2097128 free
Timestamp of repository gentoo: Sat, 18 Jun 2022 07:30:01 +0000
Head commit of repository gentoo: c6f7d7309d9db31eb01e5684f04e559af3d0b9b9
sh bash 5.1_p16
ld GNU ld (Gentoo 2.38 p4) 2.38
distcc 3.4 x86_64-pc-linux-gnu [enabled]
app-misc/pax-utils:        1.3.4::gentoo
app-shells/bash:           5.1_p16::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.36.0::gentoo
dev-lang/python:           3.9.13::gentoo, 3.10.5::gentoo, 3.11.0_beta3::gentoo
dev-lang/rust:             1.61.0-r1::gentoo
dev-util/cmake:            3.23.2::gentoo
dev-util/meson:            0.62.2::gentoo
sys-apps/baselayout:       2.8::gentoo
sys-apps/sandbox:          2.29::gentoo
sys-apps/systemd:          251.2::gentoo
sys-devel/autoconf:        2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:        1.16.5::gentoo
sys-devel/binutils:        2.38-r2::gentoo
sys-devel/binutils-config: 5.4.1::gentoo
sys-devel/clang:           13.0.1::gentoo, 14.0.5::gentoo
sys-devel/gcc:             11.3.0::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.7::gentoo
sys-devel/lld:             13.0.1::gentoo
sys-devel/llvm:            13.0.1::gentoo, 14.0.5::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.18-r1::gentoo (virtual/os-headers)
sys-libs/glibc:            2.35-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://lambda/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 

sinustrom-test
    location: /var/db/repos/sinustrom-test
    masters: gentoo

science
    location: /var/db/repos/science
    sync-type: laymansync
    sync-uri: https://anongit.gentoo.org/git/proj/sci.git
    masters: gentoo
    priority: 50

sinustrom
    location: /var/db/repos/sinustrom
    sync-type: laymansync
    sync-uri: https://github.com/zpuskas/sinustrom-gentoo-overlay.git
    masters: gentoo
    priority: 50

Installed sets: @openwrt-prerequisites
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=skylake -mmmx -msse -msse2 -msse3 -mssse3 -mcx16 -msahf -mmovbe -maes -mpclmul -mpopcnt -mabm -mfma -mbmi -msgx -mbmi2 -mavx -mavx2 -msse4.2 -msse4.1 -mlzcnt -mrdrnd -mf16c -mfsgsbase -mrdseed -mprfchw -madx -mfxsr -mxsave -mxsaveopt -mclflushopt -mxsavec -mxsaves --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=skylake -O3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=skylake -mmmx -msse -msse2 -msse3 -mssse3 -mcx16 -msahf -mmovbe -maes -mpclmul -mpopcnt -mabm -mfma -mbmi -msgx -mbmi2 -mavx -mavx2 -msse4.2 -msse4.1 -mlzcnt -mrdrnd -mf16c -mfsgsbase -mrdseed -mprfchw -madx -mfxsr -mxsave -mxsaveopt -mclflushopt -mxsavec -mxsaves --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=skylake -O3 -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg-live cgroup collision-protect config-protect-if-modified distcc distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="rsync://172.24.0.2/gentoo-distfiles http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0"
MAKEOPTS="-j80 -l8"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
SHELL="/bin/zsh"
USE="X a52 aac acl acpi activities aes alsa amd64 avx avx2 bash-completion bluetooth branding bzip2 cairo cdda cdr cli crypt cups dbus declarative dri dts dvd dvdr encode exif f16c flac fma3 fortran gdbm gif gphoto2 gpm gtk gui hardened iconv icu ipv6 jpeg jpeg2k kde kwallet lcms libglvnd libnotify libtirpc lm_sensors lto lzma mad mmx mmxext mng mp3 mp4 mpeg multilib ncurses networkmanager nls nptl ogg opencl opengl openmp pam pango pclmul pcre pdf plasma png policykit popcnt posix ppds pulseaudio qml qt5 readline sdl seccomp smp spell split-usr sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification svg systemd threads tiff truetype udev udisks unicode upower usb uxa vaapi vdpau vim-syntax vorbis webp widgets wifi wxwidgets x264 xattr xcb xml xpm xv xvid zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2020" ALSA_CARDS="hda-intel usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput wacom synaptics joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="x86 BPF" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_10" PYTHON_TARGETS="python3_10" QEMU_SOFTMMU_TARGETS="x86_64 arm aarch64" QEMU_USER_TARGETS="x86_64 arm aarch64" RUBY_TARGETS="ruby30 ruby31" SANE_BACKENDS="plustek genesys pixma" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 1 Zoltan Puskas 2022-06-21 03:07:53 UTC
I see for many other tools the ebuild uses optfeature, so I guess once aha is added to the tree that could be also that instead of a runtime dependency.
Comment 2 Andreas Sturmlechner gentoo-dev 2022-06-21 05:48:18 UTC
So a new package request is what this really is. kde proj is not automatically the right address for maintaining that package.
Comment 3 Zoltan Puskas 2022-06-27 17:02:34 UTC
I think the tool we are looking for is https://github.com/theZiz/aha based on what Debian and Arch does.

It seems like a useful tool outside of kinfocenter as well, so I'll make an ebuild for it and will maintain it too.
Comment 4 Phil Rigby 2022-06-29 13:43:12 UTC
@Zoltan, I'm grateful for you doing this - I too saw the article about the firmware security page in kinfocenter and wanted to see it, obviously I came across the same issue as you, so I'm very appreciative of you working to close that gap.  I'll gladly help with testing when you're ready, if you need.
Comment 5 Zoltan Puskas 2022-07-01 06:03:46 UTC
(In reply to Phil Rigby from comment #4)
> @Zoltan, I'm grateful for you doing this - I too saw the article about the
> firmware security page in kinfocenter and wanted to see it, obviously I came
> across the same issue as you, so I'm very appreciative of you working to
> close that gap.  I'll gladly help with testing when you're ready, if you
> need.

I'm glad I can be helpful. I've pushed app-text/aha into my overlay (sinustrom) until the PR gets merged into the main tree (at which point I'll drop it from my overlay). You can test it from there for the time being.
Comment 6 Phil Rigby 2022-07-01 13:51:44 UTC
Nice.  It works!

https://imgur.com/a/GkhWjdI
(although after seeing that I wish it didn't :-) )

Thanks for your efforts on this.  It would be nice if the KDE maintainers add at least an optional dependency for this, going forward.
Comment 7 Andreas Sturmlechner gentoo-dev 2022-07-01 14:13:51 UTC
Portage can't do optional RDEPENDs, so optfeature is all there will be.
Comment 8 Phil Rigby 2022-07-01 17:59:11 UTC
Forgive me, I used the wrong terminology - I really meant a USE flag, like "debug" or "html" etc.
Comment 9 Andreas Sturmlechner gentoo-dev 2022-07-02 09:51:57 UTC
That's what I meant as well. Portage would rebuild the package on switching such a flag even though there is absolutely no need for it, because it has no idea about RDEPEND-only flags. That's why we have optfeature.
Comment 10 Larry the Git Cow gentoo-dev 2022-09-14 14:01:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f871b0d526e7540839a24509dc932cb7d487f982

commit f871b0d526e7540839a24509dc932cb7d487f982
Author:     Zoltan Puskas <zoltan@sinustrom.info>
AuthorDate: 2022-06-29 05:03:47 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-09-14 14:01:11 +0000

    kde-plasma/kinfocenter: Add firmware security optfeatures
    
    Closes: https://bugs.gentoo.org/853253
    Signed-off-by: Zoltan Puskas <zoltan@sinustrom.info>
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-plasma/kinfocenter/kinfocenter-5.24.6.ebuild | 1 +
 kde-plasma/kinfocenter/kinfocenter-5.25.5.ebuild | 1 +
 2 files changed, 2 insertions(+)
Comment 11 Larry the Git Cow gentoo-dev 2022-09-14 14:03:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=79bfa69551dc39cd43da436f281ac40a9825e3f8

commit 79bfa69551dc39cd43da436f281ac40a9825e3f8
Author:     Zoltan Puskas <zoltan@sinustrom.info>
AuthorDate: 2022-06-29 05:03:47 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-09-14 14:02:57 +0000

    kde-plasma/kinfocenter: Add firmware security optfeatures
    
    Closes: https://bugs.gentoo.org/853253
    Signed-off-by: Zoltan Puskas <zoltan@sinustrom.info>
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-plasma/kinfocenter/kinfocenter-9999.ebuild | 1 +
 1 file changed, 1 insertion(+)